Index: /trunk/reports/inc/class.uireports_fpdf.inc.php
===================================================================
--- /trunk/reports/inc/class.uireports_fpdf.inc.php	(revision 6920)
+++ /trunk/reports/inc/class.uireports_fpdf.inc.php	(revision 7655)
@@ -38,5 +38,5 @@
 		//Calculate the height of the row
 		$nb=0;
-		for($i=0;$i< count($data);$i++)
+		for($i=0;$i< count($data);++$i)
 		$nb=max($nb,$this->NbLines($this->widths[$i],$data[$i]));
 		$h=5*$nb;
@@ -44,5 +44,5 @@
 		$this->CheckPageBreak($h);
 		//Draw the cells of the row
-		for($i=0;$i< count($data);$i++)
+		for($i=0;$i< count($data);++$i)
 		{
 			$w=$this->widths[$i];
@@ -90,9 +90,9 @@
 			if($c=="\n")
 			{
-				$i++;
+				++$i;
 				$sep=-1;
 				$j=$i;
 				$l=0;
-				$nl++;
+				++$nl;
 				continue;
 			}
@@ -105,5 +105,5 @@
 				{
 					if($i==$j)
-					$i++;
+					++$i;
 				}
 				else
@@ -112,8 +112,8 @@
 				$j=$i;
 				$l=0;
-				$nl++;
+				++$nl;
 			}
 			else
-			$i++;
+			++$i;
 		}
 		return $nl;
Index: /trunk/reports/inc/class.uireports.inc.php
===================================================================
--- /trunk/reports/inc/class.uireports.inc.php	(revision 6920)
+++ /trunk/reports/inc/class.uireports.inc.php	(revision 7655)
@@ -111,5 +111,5 @@
 						$newvals = explode(' ',$newval);
 						$setting = end($newvals);
-						for ($i=0;$i<(count($newvals) - 1); $i++)
+						for ($i=0;$i<(count($newvals) - 1); ++$i)
 						{
 							$configs[] = $newvals[$i];
Index: /trunk/reports/inc/class.uireports_cota.inc.php
===================================================================
--- /trunk/reports/inc/class.uireports_cota.inc.php	(revision 6920)
+++ /trunk/reports/inc/class.uireports_cota.inc.php	(revision 7655)
@@ -451,5 +451,5 @@
 				if ($fimgpg > 1)
 				{
-					for($x = $iniciogpg; $x <= $fimgpg; $x++)
+					for($x = $iniciogpg; $x <= $fimgpg; ++$x)
 					{
 						$varp = Array(
Index: /trunk/reports/inc/font/makefont/makefont.php
===================================================================
--- /trunk/reports/inc/font/makefont/makefont.php	(revision 5291)
+++ /trunk/reports/inc/font/makefont/makefont.php	(revision 7655)
@@ -26,5 +26,5 @@
 		}
 	}
-	for($i=0;$i<=255;$i++)
+	for($i=0;$i<=255;++$i)
 	{
 		if(!isset($cc2gn[$i]))
@@ -120,5 +120,5 @@
 			$widths['Delta']=$widths['increment'];
 		//Order widths according to map
-		for($i=0;$i<=255;$i++)
+		for($i=0;$i<=255;++$i)
 		{
 			if(!isset($widths[$map[$i]]))
@@ -191,5 +191,5 @@
 	$s="array(\n\t";
 	$cw=$fm['Widths'];
-	for($i=0;$i<=255;$i++)
+	for($i=0;$i<=255;++$i)
 	{
 		if(chr($i)=="'")
@@ -217,5 +217,5 @@
 	$s='';
 	$last=0;
-	for($i=32;$i<=255;$i++)
+	for($i=32;$i<=255;++$i)
 	{
 		if($map[$i]!=$ref[$i])
@@ -263,5 +263,5 @@
 	//Seek OS/2 table
 	$found=false;
-	for($i=0;$i<$nb;$i++)
+	for($i=0;$i<$nb;++$i)
 	{
 		if(fread($f,4)=='OS/2')
Index: /trunk/reports/inc/font/courier.php
===================================================================
--- /trunk/reports/inc/font/courier.php	(revision 5291)
+++ /trunk/reports/inc/font/courier.php	(revision 7655)
@@ -1,4 +1,4 @@
 <?php
-for($i=0;$i<=255;$i++)
+for($i=0;$i<=255;++$i)
 	$fpdf_charwidths['courier'][chr($i)]=600;
 $fpdf_charwidths['courierB']=$fpdf_charwidths['courier'];
Index: /trunk/reports/inc/class.functions.inc.php
===================================================================
--- /trunk/reports/inc/class.functions.inc.php	(revision 6920)
+++ /trunk/reports/inc/class.functions.inc.php	(revision 7655)
@@ -175,5 +175,5 @@
 			{
 				$bin = '';
-				for ($i=0; $i<$index; $i++)
+				for ($i=0; $i<$index; ++$i)
 				{
 					$bin .= '0';
@@ -251,5 +251,5 @@
 					$info = ldap_get_entries($ldap_conn, $search);
 					
-					for ($i=0; $i < $info['count']; $i++)
+					for ($i=0; $i < $info['count']; ++$i)
 					{
 						$tmp[$info[$i]['uid'][0]]['account_id']	 = $info[$i]['uidnumber'][0]; 
@@ -281,5 +281,5 @@
 					$search=ldap_search($ldap_conn, $context, $filter, $justthese);
 					$info = ldap_get_entries($ldap_conn, $search);
-					for ($i=0; $i < $info['count']; $i++)
+					for ($i=0; $i < $info['count']; ++$i)
 					{
 						$tmp[$info[$i]['cn'][0]]['cn']= $info[$i]['cn'][0];
@@ -308,5 +308,5 @@
 					$info = ldap_get_entries($ldap_conn, $search);
 					
-					for ($i=0; $i < $info['count']; $i++)
+					for ($i=0; $i < $info['count']; ++$i)
 					{
 						$tmp[$info[$i]['uid'][0]]['uid']		= $info[$i]['uid'][0];
@@ -335,5 +335,5 @@
 					$search=ldap_search($ldap_conn, $context, $filter, $justthese);
 					$info = ldap_get_entries($ldap_conn, $search);
-					for ($i=0; $i < $info['count']; $i++)
+					for ($i=0; $i < $info['count']; ++$i)
 					{
 						$tmp[$info[$i]['cn'][0]]['cn']			= $info[$i]['cn'][0];
@@ -377,5 +377,5 @@
 					$info = ldap_get_entries($ldap_conn, $search);
 					
-					for ($i=0; $i < $info['count']; $i++)
+					for ($i=0; $i < $info['count']; ++$i)
 					{
 						$tmp[$info[$i]['uid'][0]]['account_id']	 = $info[$i]['uidnumber'][0]; 
@@ -407,5 +407,5 @@
 					$search=ldap_search($ldap_conn, $context, $filter, $justthese);
 					$info = ldap_get_entries($ldap_conn, $search);
-					for ($i=0; $i < $info['count']; $i++)
+					for ($i=0; $i < $info['count']; ++$i)
 					{
 						$tmp[$info[$i]['cn'][0]]['cn']= $info[$i]['cn'][0];
@@ -434,5 +434,5 @@
 					$info = ldap_get_entries($ldap_conn, $search);
 					
-					for ($i=0; $i < $info['count']; $i++)
+					for ($i=0; $i < $info['count']; ++$i)
 					{
 						$tmp[$info[$i]['uid'][0]]['uid']		= $info[$i]['uid'][0];
@@ -461,5 +461,5 @@
 					$search=ldap_search($ldap_conn, $context, $filter, $justthese);
 					$info = ldap_get_entries($ldap_conn, $search);
-					for ($i=0; $i < $info['count']; $i++)
+					for ($i=0; $i < $info['count']; ++$i)
 					{
 						$tmp[$info[$i]['cn'][0]]['cn']			= $info[$i]['cn'][0];
@@ -523,5 +523,5 @@
         		$info = ldap_get_entries($ldap_conn, $search);
 
-		        for ($i=0; $i<$info["count"]; $i++)
+		        for ($i=0; $i<$info["count"]; ++$i)
     		    {
     		    	$a_sectors[] = $info[$i]['dn'];	
@@ -594,5 +594,5 @@
 				$search=ldap_search($ldap_conn, $context, $filter, $justthese);
         		$info = ldap_get_entries($ldap_conn, $search);
-		        for ($i=0; $i<$info["count"]; $i++)
+		        for ($i=0; $i<$info["count"]; ++$i)
     		    {
     		    	$a_sectors[] = $info[$i]['dn'];	
@@ -660,5 +660,5 @@
 				$search=ldap_search($ldap_conn, $contextdn, $filter, $justthese);
         		$info = ldap_get_entries($ldap_conn, $search);
-		        for ($i=0; $i<$info["count"]; $i++)
+		        for ($i=0; $i<$info["count"]; ++$i)
     		    {
     		    	$a_sectors[] = trim(strtoupper($info[$i]['dn']));
@@ -706,5 +706,5 @@
 				if ($level > 0)
 				{
-					for ($i=0; $i<$level; $i++)
+					for ($i=0; $i<$level; ++$i)
 					{
 						$ii = $ii +1;
@@ -753,5 +753,5 @@
 				$info = ldap_get_entries($ldap_conn, $search);				
 				
-				for ($i=0; $i < $info['count']; $i++)
+				for ($i=0; $i < $info['count']; ++$i)
 				{
 					$tmp[$info[$i]['cn'][0]]['id']				= $info[$i]['gidnumber'][0];
@@ -791,5 +791,5 @@
 				$info = ldap_get_entries($ldap_conn, $search);				
 				
-				for ($i=0; $i < $info['count']; $i++)
+				for ($i=0; $i < $info['count']; ++$i)
 				{
 					$tmp[$info[$i]['uid'][0]]['uid']		= $info[$i]['uid'][0];
@@ -832,5 +832,5 @@
 				$info = ldap_get_entries($ldap_conn, $search);
 
-				for ($i=0; $i < $info['count']; $i++)
+				for ($i=0; $i < $info['count']; ++$i)
 				{
 					$tmp[$info[$i]['uid'][0]]['account_id']	 = $info[$i]['uidnumber'][0]; 
@@ -877,5 +877,5 @@
                                 $info = ldap_get_entries($ldap_conn, $search);
 
-                                for ($i=0; $i < $info['count']; $i++)
+                                for ($i=0; $i < $info['count']; ++$i)
                                 {
                                         $tmp[$info[$i]['uid'][0]]['account_id']  = $info[$i]['uidnumber'][0];
@@ -924,5 +924,5 @@
                                 $info = ldap_get_entries($ldap_conn, $search);
 
-                                for ($i=0; $i < $info['count']; $i++)
+                                for ($i=0; $i < $info['count']; ++$i)
                                 {
                                         $tmp[$info[$i]['uid'][0]]['account_lid'] = $info[$i]['uid'][0];
@@ -966,5 +966,5 @@
                                 $info = ldap_get_entries($ldap_conn, $search);
 
-                                for ($i=0; $i < $info['count']; $i++)
+                                for ($i=0; $i < $info['count']; ++$i)
                                 {
                                         $tmp[$info[$i]['uid'][0]]['account_cn']  = $info[$i]['cn'][0];
@@ -1151,5 +1151,5 @@
 				$info = ldap_get_entries($ldap_conn, $search);
 
-				for ($i=0; $i < $info['count']; $i++)
+				for ($i=0; $i < $info['count']; ++$i)
 				{
 					$access_log =  $this->show_access_log($info[$i]['uidnumber'][0]);
@@ -1285,5 +1285,5 @@
 					$applications_list .= sprintf('<tr bgcolor="%s">%s%s%s</tr>','#DDDDDD', $app_col1, $app_col2, $app_col3);					
 				}
-				$i++;
+				++$i;
 			}
 			return $applications_list;
@@ -1396,5 +1396,5 @@
 					$iCurrent = 0, $rEntry = ldap_first_entry( $rConnection, $rSearch );
 					$iCurrent <= $iEnd && is_resource( $rEntry );
-					$iCurrent++, $rEntry = ldap_next_entry( $rConnection, $rEntry )
+					++$iCurrent, $rEntry = ldap_next_entry( $rConnection, $rEntry )
 					)
 				{
@@ -1470,5 +1470,5 @@
 					$iCurrent = 0, $rEntry = ldap_first_entry( $rConnection, $rSearch );
 					$iCurrent <= $iEnd && is_resource( $rEntry );
-					$iCurrent++, $rEntry = ldap_next_entry( $rConnection, $rEntry )
+					++$iCurrent, $rEntry = ldap_next_entry( $rConnection, $rEntry )
 					)
 				{
@@ -1545,5 +1545,5 @@
 					$iCurrent = 0, $rEntry = ldap_first_entry( $rConnection, $rSearch );
 					$iCurrent <= $iEnd && is_resource( $rEntry );
-					$iCurrent++, $rEntry = ldap_next_entry( $rConnection, $rEntry )
+					++$iCurrent, $rEntry = ldap_next_entry( $rConnection, $rEntry )
 					)
 				{
@@ -1620,5 +1620,5 @@
                                         $iCurrent = 0, $rEntry = ldap_first_entry( $rConnection, $rSearch );
                                         $iCurrent <= $iEnd && is_resource( $rEntry );
-                                        $iCurrent++, $rEntry = ldap_next_entry( $rConnection, $rEntry )
+                                        ++$iCurrent, $rEntry = ldap_next_entry( $rConnection, $rEntry )
                                         )
                                 {
@@ -1691,5 +1691,5 @@
                                         $iCurrent = 0, $rEntry = ldap_first_entry( $rConnection, $rSearch );
                                         $iCurrent <= $iEnd && is_resource( $rEntry );
-                                        $iCurrent++, $rEntry = ldap_next_entry( $rConnection, $rEntry )
+                                        ++$iCurrent, $rEntry = ldap_next_entry( $rConnection, $rEntry )
                                         )
                                 {
@@ -1761,5 +1761,5 @@
                                         $iCurrent = 0, $rEntry = ldap_first_entry( $rConnection, $rSearch );
                                         $iCurrent <= $iEnd && is_resource( $rEntry );
-                                        $iCurrent++, $rEntry = ldap_next_entry( $rConnection, $rEntry )
+                                        ++$iCurrent, $rEntry = ldap_next_entry( $rConnection, $rEntry )
                                         )
                                 {
@@ -1798,5 +1798,5 @@
 				$info = ldap_get_entries($ldap_conn, $search);
 
-				for ($i=0; $i < $info['count']; $i++)
+				for ($i=0; $i < $info['count']; ++$i)
 				{
 					$a_sectors[] = $info[$i]['dn'];
@@ -2063,5 +2063,5 @@
 					$iCurrent = 0, $rEntry = ldap_first_entry( $rConnection, $rSearch );
 					$iCurrent <= $iEnd && is_resource( $rEntry );
-					$iCurrent++, $rEntry = ldap_next_entry( $rConnection, $rEntry )
+					++$iCurrent, $rEntry = ldap_next_entry( $rConnection, $rEntry )
 					)
 				{
Index: /trunk/reports/inc/class.ldap_functions.inc.php
===================================================================
--- /trunk/reports/inc/class.ldap_functions.inc.php	(revision 5291)
+++ /trunk/reports/inc/class.ldap_functions.inc.php	(revision 7655)
@@ -61,5 +61,5 @@
     	$entries = ldap_get_entries($this->ldap, $groups_list);
     	
-		for ($i=0; $i<$entries["count"]; $i++){
+		for ($i=0; $i<$entries["count"]; ++$i){
 			$u_tmp[$entries[$i]["uidnumber"][0]] = $entries[$i]["cn"][0];
 		}
@@ -93,5 +93,5 @@
     	    	
 		$options = '';
-		for ($i=0; $i<$entries['count']; $i++)
+		for ($i=0; $i<$entries['count']; ++$i)
 		{
 			$options .= "<option value=" . $entries[$i]['gidnumber'][0] . ">" . $entries[$i]['cn'][0] . "</option>";
@@ -114,5 +114,5 @@
     	
 		$options = '';			
-		for ($i=0; $i<$entries['count']; $i++)
+		for ($i=0; $i<$entries['count']; ++$i)
 		{
 			$options .= "<option value=" . $entries[$i]['uid'][0] . ">" . $entries[$i]['uid'][0] . " (" . $entries[$i]['mail'][0] . ")" . "</option>";
@@ -136,5 +136,5 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); $i++)
+				for($i=1; $i<count($sector_dn_array); ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
@@ -164,5 +164,5 @@
 		
 				// Samba
-				for ($i=0; $i<$entry[0]['objectclass']['count']; $i++)
+				for ($i=0; $i<$entry[0]['objectclass']['count']; ++$i)
 				{
 					if ($entry[0]['objectclass'][$i] == 'sambaSamAccount')
@@ -205,5 +205,5 @@
     			ldap_sort($this->ldap, $search, "cn");
     			$entries = ldap_get_entries($this->ldap, $search);
-    			for ($i=0; $i<$entries['count']; $i++)
+    			for ($i=0; $i<$entries['count']; ++$i)
 	    		{
     				$result['groups_ldap'][ $entries[$i]['gidnumber'][0] ] = $entries[$i]['cn'][0];
@@ -233,5 +233,5 @@
     		$entries = ldap_get_entries($ldapMasterConnect, $search);
     		
-	    	for ($i=0; $i<$entries['count']; $i++)
+	    	for ($i=0; $i<$entries['count']; ++$i)
     		{
 				$result[ $entries[$i]['uid'][0] ]['uid']		= $entries[$i]['uid'][0];
@@ -268,5 +268,5 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); $i++)
+				for($i=1; $i<count($sector_dn_array); ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
@@ -281,5 +281,5 @@
 		
 				//MemberUid
-				for ($i=0; $i<$entry[0]['memberuid']['count']; $i++)
+				for ($i=0; $i<$entry[0]['memberuid']['count']; ++$i)
 				{
 					$justthese = array("cn","uid","uidnumber");
@@ -287,8 +287,8 @@
 					// Montagem dinamica do filtro
 					$filter="(&(phpgwAccountType=u)(|";
-					for ($k=0; (($k<10) && ($i<$entry[0]['memberuid']['count'])); $k++)
+					for ($k=0; (($k<10) && ($i<$entry[0]['memberuid']['count'])); ++$k)
 					{
 						$filter .= "(uid=".$entry[0]['memberuid'][$i].")";
-						$i++;
+						++$i;
 					}
 					$i--;
@@ -298,5 +298,5 @@
 					$user_entry = ldap_get_entries($this->ldap, $search);
 
-					for ($j=0; $j<$user_entry['count']; $j++)
+					for ($j=0; $j<$user_entry['count']; ++$j)
 					{
 						$result['memberuid_info'][$user_entry[$j]['uid'][0]]['cn'] = $user_entry[$j]['cn'][0];
@@ -328,5 +328,5 @@
 		
 				// Samba
-				for ($i=0; $i<$entry[0]['objectclass']['count']; $i++)
+				for ($i=0; $i<$entry[0]['objectclass']['count']; ++$i)
 				{
 					if ($entry[0]['objectclass'][$i] == 'sambaGroupMapping')
@@ -366,5 +366,5 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); $i++)
+				for($i=1; $i<count($sector_dn_array); ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
@@ -381,5 +381,5 @@
 			
 				//Members
-				for ($i=0; $i<$entry[0]['mailforwardingaddress']['count']; $i++)
+				for ($i=0; $i<$entry[0]['mailforwardingaddress']['count']; ++$i)
 				{
 					$justthese = array("cn", "uidnumber", "uid", "phpgwaccounttype", "mail");
@@ -387,8 +387,8 @@
 					// Montagem dinamica do filtro, para nao ter muitas conexoes com o ldap
 					$filter="(&(|(phpgwAccountType=u)(phpgwAccountType=l))(|";
-					for ($k=0; (($k<10) && ($i<$entry[0]['mailforwardingaddress']['count'])); $k++)
+					for ($k=0; (($k<10) && ($i<$entry[0]['mailforwardingaddress']['count'])); ++$k)
 					{
 						$filter .= "(mail=".$entry[0]['mailforwardingaddress'][$i].")";
-						$i++;
+						++$i;
 					}
 					$i--;
@@ -398,5 +398,5 @@
 					$user_entry = ldap_get_entries($ldap_conn_following_ref, $search);
 									
-					for ($j=0; $j<$user_entry['count']; $j++)
+					for ($j=0; $j<$user_entry['count']; ++$j)
 					{
 						$result['mailForwardingAddress_info'][$user_entry[$j]['mail'][0]]['uid'] = $user_entry[$j]['uid'][0];
@@ -471,5 +471,5 @@
 				}
 
-				$i++;
+				++$i;
 			}
 		}
@@ -513,5 +513,5 @@
     	    	
 		$options = '';
-		for ($i=0; $i<$entries['count']; $i++)
+		for ($i=0; $i<$entries['count']; ++$i)
 		{
 			$options .= "<option value=" . $entries[$i]['uid'][0] . ">" . $entries[$i]['cn'][0] . " (".$entries[$i]['mail'][0].")" . "</option>";
Index: /trunk/library/Mail/Mail/RFC822.php
===================================================================
--- /trunk/library/Mail/Mail/RFC822.php	(revision 6118)
+++ /trunk/library/Mail/Mail/RFC822.php	(revision 7655)
@@ -332,5 +332,5 @@
         $string = $parts[0];
 
-        for ($i = 0; $i < count($parts); $i++) {
+        for ($i = 0; $i < count($parts); ++$i) {
             if ($this->_hasUnclosedQuotes($string)
                 || $this->_hasUnclosedBrackets($string, '<>')
@@ -426,5 +426,5 @@
     {
         $parts = explode($char, $string);
-        for ($i = 0; $i < count($parts); $i++){
+        for ($i = 0; $i < count($parts); ++$i){
             if (substr($parts[$i], -1) == '\\' || $this->_hasUnclosedQuotes($parts[$i]))
                 $num--;
@@ -500,5 +500,5 @@
         //                         geezer
         // ... or any other format valid by RFC 822.
-        for ($i = 0; $i < count($addresses); $i++) {
+        for ($i = 0; $i < count($addresses); ++$i) {
             if (!$this->validateMailbox($addresses[$i])) {
                 if (empty($this->error)) {
@@ -544,5 +544,5 @@
         while (count($parts) > 0){
             $phrase_parts[] = $this->_splitCheck($parts, ' ');
-            for ($i = 0; $i < $this->index + 1; $i++)
+            for ($i = 0; $i < $this->index + 1; ++$i)
                 array_shift($parts);
         }
@@ -797,5 +797,5 @@
         while (count($subdomains) > 0) {
             $sub_domains[] = $this->_splitCheck($subdomains, '.');
-            for ($i = 0; $i < $this->index + 1; $i++)
+            for ($i = 0; $i < $this->index + 1; ++$i)
                 array_shift($subdomains);
         }
@@ -891,5 +891,5 @@
         while (count($parts) > 0){
             $words[] = $this->_splitCheck($parts, '.');
-            for ($i = 0; $i < $this->index + 1; $i++) {
+            for ($i = 0; $i < $this->index + 1; ++$i) {
                 array_shift($parts);
             }
Index: /trunk/library/csstidy/class.csstidy_optimise.php
===================================================================
--- /trunk/library/csstidy/class.csstidy_optimise.php	(revision 4414)
+++ /trunk/library/csstidy/class.csstidy_optimise.php	(revision 7655)
@@ -302,5 +302,5 @@
             $color_tmp = substr($color,4,strlen($color)-5);
             $color_tmp = explode(',',$color_tmp);
-            for ( $i = 0; $i < count($color_tmp); $i++ )
+            for ( $i = 0; $i < count($color_tmp); ++$i )
             {
                 $color_tmp[$i] = trim ($color_tmp[$i]);
@@ -312,5 +312,5 @@
             }
             $color = '#';
-            for ($i = 0; $i < 3; $i++ )
+            for ($i = 0; $i < 3; ++$i )
             {
                 if($color_tmp[$i]<16) {
@@ -383,5 +383,5 @@
             $temp = array($subvalue);
         }
-        for ($l = 0; $l < count($temp); $l++)
+        for ($l = 0; $l < count($temp); ++$l)
         {
             // continue if no numeric value
@@ -404,5 +404,5 @@
             {
                 $unit_found = FALSE;
-                for ($m = 0, $size_4 = count($units); $m < $size_4; $m++)
+                for ($m = 0, $size_4 = count($units); $m < $size_4; ++$m)
                 {
                     if (strpos(strtolower($temp[$l]),$units[$m]) !== FALSE)
@@ -514,5 +514,5 @@
         if(count($values) == 4)
         {
-            for($i=0;$i<4;$i++)
+            for($i=0;$i<4;++$i)
             {
                 $return[$shorthands[$property][$i]] = $values[$i].$important;
@@ -528,5 +528,5 @@
         elseif(count($values) == 2)
         {
-            for($i=0;$i<4;$i++)
+            for($i=0;$i<4;++$i)
             {
                 $return[$shorthands[$property][$i]] = (($i % 2 != 0)) ? $values[1].$important : $values[0].$important;
@@ -535,5 +535,5 @@
         else
         {
-            for($i=0;$i<4;$i++)
+            for($i=0;$i<4;++$i)
             {
                 $return[$shorthands[$property][$i]] = $values[0].$important;
@@ -558,5 +558,5 @@
         $output = array();
         $num = 0;
-        for($i = 0, $len = strlen($string);$i < $len; $i++)
+        for($i = 0, $len = strlen($string);$i < $len; ++$i)
         {
             switch($status)
@@ -619,5 +619,5 @@
 
                 $important = '';
-                for($i = 0; $i < 4; $i++)
+                for($i = 0; $i < 4; ++$i)
                 {
                     $val = $array[$value[$i]];
@@ -665,5 +665,5 @@
 
         $str_value = csstidy_optimise::explode_ws(',',$str_value);
-        for($i = 0; $i < count($str_value); $i++)
+        for($i = 0; $i < count($str_value); ++$i)
         {
             $have['clip'] = FALSE; $have['pos'] = FALSE;
@@ -672,5 +672,5 @@
             $str_value[$i] = csstidy_optimise::explode_ws(' ',trim($str_value[$i]));
 
-            for($j = 0; $j < count($str_value[$i]); $j++)
+            for($j = 0; $j < count($str_value[$i]); ++$j)
             {
                 if($have['bg'] === FALSE && (substr($str_value[$i][$j],0,4) == 'url(' || $str_value[$i][$j] === 'none'))
@@ -743,5 +743,5 @@
         $important = '';
 
-        for($i = 0; $i < $number_of_values; $i++)
+        for($i = 0; $i < $number_of_values; ++$i)
         {
             foreach($background_prop_default as $bg_property => $default_value)
Index: /trunk/library/csstidy/css_optimiser.php
===================================================================
--- /trunk/library/csstidy/css_optimiser.php	(revision 4414)
+++ /trunk/library/csstidy/css_optimiser.php	(revision 7655)
@@ -322,5 +322,5 @@
 			{
 				echo '<dt>'.$line.'</dt>';
-				for($i = 0; $i < count($array); $i++)
+				for($i = 0; $i < count($array); ++$i)
 				{
 					echo '<dd class="'.$array[$i]['t'].'">'.$array[$i]['m'].'</dd>';
Index: /trunk/library/csstidy/class.csstidy.php
===================================================================
--- /trunk/library/csstidy/class.csstidy.php	(revision 5135)
+++ /trunk/library/csstidy/class.csstidy.php	(revision 7655)
@@ -367,5 +367,5 @@
 			break;
 		}
-		$i++;
+		++$i;
 	}
 
@@ -419,5 +419,5 @@
 	$template = explode('|',$content);
 
-	for ($i = 0; $i < count($template); $i++ )
+	for ($i = 0; $i < count($template); ++$i )
 	{
 		$this->template[$i] = $template[$i];
@@ -470,5 +470,5 @@
     $cur_comment = '';
 
-    for ($i = 0, $size = strlen($string); $i < $size; $i++ )
+    for ($i = 0, $size = strlen($string); $i < $size; ++$i )
     {
         if($string{$i} == "\n" || $string{$i} == "\r")
@@ -812,5 +812,5 @@
             {
                 $this->status = $this->from;
-                $i++;
+                ++$i;
                 $this->_add_token(COMMENT, $cur_comment);
                 $cur_comment = '';
Index: /trunk/library/ckeditor/plugins/aspell/spellerpages/server-scripts/spellchecker.php
===================================================================
--- /trunk/library/ckeditor/plugins/aspell/spellerpages/server-scripts/spellchecker.php	(revision 5081)
+++ /trunk/library/ckeditor/plugins/aspell/spellerpages/server-scripts/spellchecker.php	(revision 7655)
@@ -82,5 +82,5 @@
 	# open temp file, add the submitted text.
 	if( $fh = fopen( $tempfile, 'w' )) {
-		for( $i = 0; $i < count( $textinputs ); $i++ ) {
+		for( $i = 0; $i < count( $textinputs ); ++$i ) {
 			$text = urldecode( $textinputs[$i] );
                         $text = html_entity_decode ($text , ENT_QUOTES , 'UTF-8'  );
@@ -122,7 +122,7 @@
 					}
 					print_suggs_elem( $suggs, $index, $text_input_index );
-					$index++;
+					++$index;
 				} elseif( $chardesc == '*' ) {
-					$text_input_index++;
+					++$text_input_index;
 					print_textindex_decl( $text_input_index );
 					$index = 0;
Index: /trunk/library/Net/Sieve.php
===================================================================
--- /trunk/library/Net/Sieve.php	(revision 6118)
+++ /trunk/library/Net/Sieve.php	(revision 7655)
@@ -929,5 +929,5 @@
         $data = preg_split('/\r?\n/', $this->_toUpper($data), -1, PREG_SPLIT_NO_EMPTY);
 
-        for ($i = 0; $i < count($data); $i++) {
+        for ($i = 0; $i < count($data); ++$i) {
             if (!preg_match('/^"([A-Z]+)"( "(.*)")?$/', $data[$i], $matches)) {
                 continue;
@@ -1120,5 +1120,5 @@
 
                 $response .= $line . "\r\n";
-                $referralCount++;
+                ++$referralCount;
             }
         }
Index: /trunk/library/Net/SMTP.php
===================================================================
--- /trunk/library/Net/SMTP.php	(revision 5316)
+++ /trunk/library/Net/SMTP.php	(revision 7655)
@@ -332,5 +332,5 @@
         }
 
-        for ($i = 0; $i <= $this->_pipelined_commands; $i++) {
+        for ($i = 0; $i <= $this->_pipelined_commands; ++$i) {
             while ($line = $this->_socket->readLine()) {
                 $this->_debug("Recv: $line");
@@ -1112,5 +1112,5 @@
                     $end = $size;
                 } else {
-                    for (; $end < $size; $end++) {
+                    for (; $end < $size; ++$end) {
                         if ($data[$end] != "\n") {
                             break;
Index: /trunk/library/PEAR/PEAR/Frontend/CLI.php
===================================================================
--- /trunk/library/PEAR/PEAR/Frontend/CLI.php	(revision 5146)
+++ /trunk/library/PEAR/PEAR/Frontend/CLI.php	(revision 7655)
@@ -271,5 +271,5 @@
                         echo $this->bold("* Enter an answer for #" . $i . ": ({$prompts[$var]})\n");
                     }
-                    $i++;
+                    ++$i;
                 }
             }
@@ -579,5 +579,5 @@
     {
         $highest = 1;
-        for ($i = 0; $i < count($columns); $i++) {
+        for ($i = 0; $i < count($columns); ++$i) {
             $col = &$columns[$i];
             if (isset($colparams[$i]) && !empty($colparams[$i]['wrap'])) {
@@ -642,5 +642,5 @@
             $width = $widest;
         } else {
-            for ($i = 0; $i < $ncols; $i++) {
+            for ($i = 0; $i < $ncols; ++$i) {
                 if (!isset($width[$i])) {
                     $width[$i] = $widest[$i];
@@ -672,5 +672,5 @@
         }
 
-        for ($i = 0; $i < count($table_data); $i++) {
+        for ($i = 0; $i < count($table_data); ++$i) {
             extract($table_data[$i]);
             if (!is_array($rowparams)) {
@@ -691,12 +691,12 @@
                 }
             } else {
-                for ($c = 0; $c < count($data); $c++) {
+                for ($c = 0; $c < count($data); ++$c) {
                     $rowlines[$c] = array($data[$c]);
                 }
             }
 
-            for ($r = 0; $r < $height; $r++) {
+            for ($r = 0; $r < $height; ++$r) {
                 $rowtext = '';
-                for ($c = 0; $c < count($data); $c++) {
+                for ($c = 0; $c < count($data); ++$c) {
                     if (isset($colparams[$c])) {
                         $attribs = array_merge($rowparams, $colparams);
Index: /trunk/library/PEAR/PEAR/Downloader.php
===================================================================
--- /trunk/library/PEAR/PEAR/Downloader.php	(revision 5146)
+++ /trunk/library/PEAR/PEAR/Downloader.php	(revision 7655)
@@ -1330,5 +1330,5 @@
         $installOrder = Structures_Graph_Manipulator_TopologicalSorter::sort($depgraph);
         $ret = array();
-        for ($i = 0, $count = count($installOrder); $i < $count; $i++) {
+        for ($i = 0, $count = count($installOrder); $i < $count; ++$i) {
             foreach ($installOrder[$i] as $index => $sortedpackage) {
                 $data = &$installOrder[$i][$index]->getData();
Index: /trunk/library/PEAR/PEAR/RunTest.php
===================================================================
--- /trunk/library/PEAR/PEAR/RunTest.php	(revision 6057)
+++ /trunk/library/PEAR/PEAR/RunTest.php	(revision 7655)
@@ -397,5 +397,5 @@
 
 
-            for ($i = 0; $i < $numLines; $i++) {
+            for ($i = 0; $i < $numLines; ++$i) {
                 if (isset($lines[$i]) && substr($lines[$i], 0, 9) == 'namespace') {
                     $namespace         = substr($lines[$i], 10, -1);
Index: /trunk/library/PEAR/PEAR/PackageFile/v2/Validator.php
===================================================================
--- /trunk/library/PEAR/PEAR/PackageFile/v2/Validator.php	(revision 5146)
+++ /trunk/library/PEAR/PEAR/PackageFile/v2/Validator.php	(revision 7655)
@@ -1881,5 +1881,5 @@
         }
 /*
-        for ($i = 0; $i < sizeof($tokens); $i++) {
+        for ($i = 0; $i < sizeof($tokens); ++$i) {
             @list($token, $data) = $tokens[$i];
             if (is_string($token)) {
@@ -1912,5 +1912,5 @@
         $inquote = false;
         $interface = false;
-        for ($i = 0; $i < sizeof($tokens); $i++) {
+        for ($i = 0; $i < sizeof($tokens); ++$i) {
             if (is_array($tokens[$i])) {
                 list($token, $data) = $tokens[$i];
Index: /trunk/library/PEAR/PEAR/PackageFile/v1.php
===================================================================
--- /trunk/library/PEAR/PEAR/PackageFile/v1.php	(revision 5146)
+++ /trunk/library/PEAR/PEAR/PackageFile/v1.php	(revision 7655)
@@ -1118,5 +1118,5 @@
                         array('index' => $i));
                 }
-                $i++;
+                ++$i;
             }
             if (!$haslead) {
@@ -1165,5 +1165,5 @@
                         array('index' => $i));
                 }
-                $i++;
+                ++$i;
             }
         }
@@ -1179,5 +1179,5 @@
                         array('index' => $i));
                 }
-                $i++;
+                ++$i;
             }
         }
@@ -1375,5 +1375,5 @@
         $tokens = token_get_all($contents);
 /*
-        for ($i = 0; $i < sizeof($tokens); $i++) {
+        for ($i = 0; $i < sizeof($tokens); ++$i) {
             @list($token, $data) = $tokens[$i];
             if (is_string($token)) {
@@ -1406,5 +1406,5 @@
         $inquote = false;
         $interface = false;
-        for ($i = 0; $i < sizeof($tokens); $i++) {
+        for ($i = 0; $i < sizeof($tokens); ++$i) {
             if (is_array($tokens[$i])) {
                 list($token, $data) = $tokens[$i];
